/* tokens.h - My tokenizer client include file.
*/
/*
   RCS Header:
   -----------
   $Header: /home/art/GoogleDrive/Latest\040Art's\040Stuff/myschema.d/RCS/tokens.h,v 1.3 2002/10/29 18:36:24 kagel Exp $

   RCS Log:
   --------
   $Log: tokens.h,v $
   Revision 1.3  2002/10/29 18:36:24  kagel
   Added new functions frstok2 and getok2 to place delimiter character in
   a local pointer provided in frsttok2 instead of accessing the global
   lasttok variable.  I like this better.

 * Revision 1.2  2000/04/10  15:37:31  kagel
 * Fixed parsing of VIEW definition to correct compressing out of spaces in
 * quoted strings and breaking quoted strings across line boundaries.  Main
 * fix involved including my tokens.c tokenizing code from asksort.
 *

*/

#if !defined( tokensHEADER )
#define tokensHEADER 1
static const char tokensRCSHeader[] = "@(#)$Header: /home/art/GoogleDrive/Latest\040Art's\040Stuff/myschema.d/RCS/tokens.h,v 1.3 2002/10/29 18:36:24 kagel Exp $";
static const char tokensRCSWhat[] = "$What: <@(#) tokens.h,v	 1.2 > $ $Date: 2002/10/29 18:36:24 $";

extern char lasttok;


void tokdel( char *del );
char *frstok( char *str );
char *gettok( void );
char *frstok2( char *str, char *delp );
char *gettok2( void );
#endif

